package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

//乐器团购类型（免费、租赁、借用）
public enum  KitGroupPurchaseTypeEnum implements BaseEnum<String,KitGroupPurchaseTypeEnum> {
    FREE("FREE","免费"),
    GROUP("GROUP","团购"),
    LEASE("LEASE","租赁");
    private String code;

    private String msg;

    KitGroupPurchaseTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
